<div class="toolbar">
  <solidify-burger-menu (click)="toggleMenu()"
                        [isOpen]="isOpen"
                        class="burger-menu"
  >
  </solidify-burger-menu>

  <div class="logo">
    <img alt="Unige"
         class="unige-logo"
         src="assets/images/unigelogo-white.svg"
    >
  </div>
</div>

<div *ngIf="isOpen"
     @menuAnimation
     class="menu"
>
  <ul>
    <li *ngFor="let menu of getListMenuUserAndAdminMenu()">
      <a [routerLink]="'/' + menu.path()"
         (click)="toggleMenu()"
         [class.is-active]="currentPath === menu.rootModulePath"
         class="no-hover-animation"
      >
        <ng-template [ngIfElse]="simpleIcon"
                     [ngIf]="!(menu.badgeCounter | isNullOrUndefined)"
        >
        <span [matBadgeDescription]="menu.badgeDescription"
              [matBadgeHidden]="menu.badgeHidden()"
              [matBadge]="menu.badgeCounter()"
              matBadgeColor="primary"
              matBadgeSize="small"
        >
          {{menu.labelToTranslate | translate}}
        </span>
        </ng-template>
        <ng-template #simpleIcon>
          {{menu.labelToTranslate | translate}}
        </ng-template>
      </a>
    </li>

    <ng-template [ngIfElse]="loggedOut"
                 [ngIf]="!logged"
    >
      <li class="login">
        <a (click)="login()"
           [solidifyDataTest]="dataTestEnum.loginMobileInput"
        >{{labelTranslateEnum.login | translate}}</a>
      </li>
    </ng-template>

    <li *ngIf="logged"
        (click)="profileInfo()"
    >
      {{labelTranslateEnum.profile | translate}}
    </li>

    <li (click)="openUserGuide()">
      <span>{{labelTranslateEnum.userGuide | translate}}</span>
    </li>

    <li class="language-selector-line">
      <solidify-language-selector [(language)]="language"></solidify-language-selector>
    </li>

    <li (click)="toggleDarkMode()">
      <span>{{(darkMode ? labelTranslateEnum.lightMode : labelTranslateEnum.darkMode) | translate}}</span>
    </li>

    <ng-template #loggedOut>
      <li class="logout">
        <a (click)="logout()"
           [solidifyDataTest]="dataTestEnum.logoutMobileInput"
        >{{labelTranslateEnum.logout | translate}}</a>
      </li>
    </ng-template>

    <li *ngIf="!isProduction || isDemoMode"
        class="theme-selector-line no-clickable"
    >
      <solidify-theme-selector [(theme)]="theme">
      </solidify-theme-selector>
    </li>
  </ul>
</div>
